package com.eactive.eai.adapter.db.sql;

import java.util.concurrent.ConcurrentHashMap;

public class DBInboudSqlAdapterManager {
	private static DBInboudSqlAdapterManager instance = new DBInboudSqlAdapterManager();
	
	private static ConcurrentHashMap<String, DBInboudSqlAdapter> adapters = new ConcurrentHashMap<String, DBInboudSqlAdapter>();
	
	public static DBInboudSqlAdapterManager getInstance() {
        return instance;   
    }
	
	public synchronized void put(String adapterName, DBInboudSqlAdapter adapter) {
		adapters.put(adapterName, adapter);
	}
	
	public synchronized DBInboudSqlAdapter get(String adapterName) {
		return adapters.get(adapterName);
	}
}
